Index: /main/trunk/greenstone2/perllib/classify/AZCompactList.pm
===================================================================
--- /main/trunk/greenstone2/perllib/classify/AZCompactList.pm	(revision 23115)
+++ /main/trunk/greenstone2/perllib/classify/AZCompactList.pm	(revision 23116)
@@ -184,5 +184,5 @@
 {
     my $self = shift (@_);
-    my ($doc_obj,$edit_mode) = @_;
+    my ($doc_obj) = @_;
 
     my $doc_OID = $doc_obj->get_OID();
@@ -215,15 +215,4 @@
 	my $full_doc_OID 
 	    = ($thissection ne "") ? "$doc_OID.$thissection" : $doc_OID;
-
-	if (($edit_mode eq "delete") || ($edit_mode eq "update")) {
-	    print $outhandle "  Deleting $full_doc_OID for AZCompactList\n";
-	    delete $self->{'list'}->{$full_doc_OID};
-	    delete $self->{'listmetavalue'}->{$full_doc_OID};
-	    delete $self->{'list_mvpair'}->{$full_doc_OID};
-	    delete $self->{'reclassify'}->{$full_doc_OID};
-
-	    next if ($edit_mode eq "delete");
-	}
-
 
 	if (defined $self->{'list_mvpair'}->{$full_doc_OID}) 
Index: /main/trunk/greenstone2/perllib/classify/AZList.pm
===================================================================
--- /main/trunk/greenstone2/perllib/classify/AZList.pm	(revision 23115)
+++ /main/trunk/greenstone2/perllib/classify/AZList.pm	(revision 23116)
@@ -121,13 +121,8 @@
 sub classify {
     my $self = shift (@_);
-    my ($doc_obj,$edit_mode) = @_;
+    my ($doc_obj) = @_;
 
     my $doc_OID = $doc_obj->get_OID();
     my $outhandle = $self->{'outhandle'};
-
-    if (($edit_mode eq "delete") || ($edit_mode eq "update")) {
-	$self->oid_hash_delete($doc_OID,'list');
-	return if ($edit_mode eq "delete");	    
-    }
 
     my $metavalue;
Index: /main/trunk/greenstone2/perllib/classify/AZSectionList.pm
===================================================================
--- /main/trunk/greenstone2/perllib/classify/AZSectionList.pm	(revision 23115)
+++ /main/trunk/greenstone2/perllib/classify/AZSectionList.pm	(revision 23116)
@@ -71,5 +71,5 @@
 sub classify {
     my $self = shift (@_);
-    my ($doc_obj,$edit_mode) = @_;
+    my ($doc_obj) = @_;
 
     my $doc_OID = $doc_obj->get_OID();
@@ -77,5 +77,5 @@
 
     while (defined $thissection) {
-	$self->classify_section ($thissection, $doc_obj, $edit_mode);
+	$self->classify_section ($thissection, $doc_obj);
 	$thissection = $doc_obj->get_next_section ($thissection);
     }
@@ -84,12 +84,7 @@
 sub classify_section {
     my $self = shift (@_);
-    my ($section, $doc_obj, $edit_mode) = @_;
+    my ($section, $doc_obj) = @_;
 
     my $doc_OID = $doc_obj->get_OID();
-
-    if ($edit_mode eq "delete") {
-	$self->oid_hash_delete("$doc_OID$section",'list');
-	return;
-    }
 
     my $metavalue;
Index: /main/trunk/greenstone2/perllib/classify/AllList.pm
===================================================================
--- /main/trunk/greenstone2/perllib/classify/AllList.pm	(revision 23115)
+++ /main/trunk/greenstone2/perllib/classify/AllList.pm	(revision 23116)
@@ -72,19 +72,10 @@
 sub classify {
     my $self = shift (@_);
-    my ($doc_obj, $edit_mode) = @_;
+    my ($doc_obj) = @_;
     
     my $doc_OID = $doc_obj->get_OID();
    
-    if ($edit_mode eq "delete") {
-	$self->oid_array_delete($doc_OID,'list');
-	
-    }
-    elsif ($edit_mode eq "update") {
-	# do nothing. Doc is already in the list. Is the order important??
-    }
-    else {
-	push (@{$self->{'list'}}, $doc_OID);
-    }
-
+    push (@{$self->{'list'}}, $doc_OID);
+    
     return;
 }
Index: /main/trunk/greenstone2/perllib/classify/BaseClassifier.pm
===================================================================
--- /main/trunk/greenstone2/perllib/classify/BaseClassifier.pm	(revision 23115)
+++ /main/trunk/greenstone2/perllib/classify/BaseClassifier.pm	(revision 23116)
@@ -330,5 +330,5 @@
 sub classify {
     my $self = shift (@_);
-    my ($doc_obj, $edit_mode) = @_;
+    my ($doc_obj) = @_;
 
     my $outhandle = $self->{'outhandle'};
Index: /main/trunk/greenstone2/perllib/classify/Collage.pm
===================================================================
--- /main/trunk/greenstone2/perllib/classify/Collage.pm	(revision 23115)
+++ /main/trunk/greenstone2/perllib/classify/Collage.pm	(revision 23116)
@@ -139,5 +139,5 @@
    
     my $self = shift (@_);
-    my ($doc_obj,$edit_mode) = @_;
+    my ($doc_obj) = @_;
 
     my $has_image_type = 0;
@@ -162,10 +162,6 @@
 	my $doc_OID = $doc_obj->get_OID();
 
-	if ($edit_mode eq "delete") {
-	    $self->oid_array_delete($doc_OID,'list');
-	}
-	else {
-	    push (@{$self->{'list'}}, $doc_OID);
-	}
+	push (@{$self->{'list'}}, $doc_OID);
+	
     }
 
Index: /main/trunk/greenstone2/perllib/classify/DateList.pm
===================================================================
--- /main/trunk/greenstone2/perllib/classify/DateList.pm	(revision 23115)
+++ /main/trunk/greenstone2/perllib/classify/DateList.pm	(revision 23116)
@@ -133,5 +133,5 @@
 sub classify {
     my $self = shift (@_);
-    my ($doc_obj, $edit_mode) = @_;
+    my ($doc_obj) = @_;
 
     my $doc_OID = $doc_obj->get_OID();
@@ -151,9 +151,4 @@
     }
     
-    if (($edit_mode eq "delete") || ($edit_mode eq "update")) {
-	$self->oid_hash_delete($doc_OID,'list');
-	return if ($edit_mode eq "delete");
-    }
-
     my $sort_other = "";
     if (defined $self->{'sort'} && $self->{'sort'} ne "") {
Index: /main/trunk/greenstone2/perllib/classify/HFileHierarchy.pm
===================================================================
--- /main/trunk/greenstone2/perllib/classify/HFileHierarchy.pm	(revision 23115)
+++ /main/trunk/greenstone2/perllib/classify/HFileHierarchy.pm	(revision 23116)
@@ -181,5 +181,5 @@
 {
     my $self = shift (@_);
-    my ($doc_obj,$edit_mode,$sortmeta,$metavalues) = @_;
+    my ($doc_obj,$sortmeta,$metavalues) = @_;
 
     my $outhandle = $self->{'outhandle'};
@@ -191,27 +191,11 @@
 	    (defined $self->{'locatorlist'}->{$self->{'descriptorlist'}->{$metaelement}})) {
 
-	    if ($edit_mode eq "delete") {
-		# find it, and remove it
-		my $existing_list = $self->{'locatorlist'}->{$self->{'descriptorlist'}->{$metaelement}}->{'contents'};
-		
-		my $filtered_list = [];
-		foreach my $existing_oid_pair (@$existing_list) {
-		    if ($existing_oid_pair->[0] eq $doc_OID) {
-			print $outhandle "  Deleting $doc_OID for $metaelement in hierarchy\n";
-		    }
-		    else {
-			push(@$filtered_list,$existing_oid_pair);
-		    }
-		}
-		$self->{'locatorlist'}->{$self->{'descriptorlist'}->{$metaelement}}->{'contents'} = $filtered_list;
-	    }
-	    else {
-		push (@{$self->{'locatorlist'}->{$self->{'descriptorlist'}->{$metaelement}}->{'contents'}}, 
-		      [$doc_OID, $sortmeta]);
-		my $localid = $self->{'descriptorlist'}->{$metaelement};
-		my $classid = $self->get_number();
-
-		$doc_obj->add_metadata($doc_obj->get_top_section(), "memberof", "CL$classid.$localid");
-	    }
+	    push (@{$self->{'locatorlist'}->{$self->{'descriptorlist'}->{$metaelement}}->{'contents'}}, 
+		  [$doc_OID, $sortmeta]);
+	    my $localid = $self->{'descriptorlist'}->{$metaelement};
+	    my $classid = $self->get_number();
+	    
+	    $doc_obj->add_metadata($doc_obj->get_top_section(), "memberof", "CL$classid.$localid");
+	    
 	}
     }
Index: /main/trunk/greenstone2/perllib/classify/HTML.pm
===================================================================
--- /main/trunk/greenstone2/perllib/classify/HTML.pm	(revision 23115)
+++ /main/trunk/greenstone2/perllib/classify/HTML.pm	(revision 23116)
@@ -86,5 +86,5 @@
 sub classify {
     my $self = shift (@_);
-    my ($doc_obj,$edit_mode) = @_;
+    my ($doc_obj) = @_;
 
     # we don't do anything for individual documents
Index: /main/trunk/greenstone2/perllib/classify/Hierarchy.pm
===================================================================
--- /main/trunk/greenstone2/perllib/classify/Hierarchy.pm	(revision 23115)
+++ /main/trunk/greenstone2/perllib/classify/Hierarchy.pm	(revision 23116)
@@ -86,17 +86,7 @@
 sub auto_classify {
     my $self = shift (@_);
-    my ($doc_obj,$edit_mode,$nosort,$sortmeta,$metavalues) = @_;
+    my ($doc_obj,$nosort,$sortmeta,$metavalues) = @_;
 
     my $doc_OID = $doc_obj->get_OID();
-
-    if (($edit_mode eq "delete") || ($edit_mode eq "update")) {
-	if ($nosort) {
-	    $self->oid_array_delete($doc_OID,'docs');
-	}
-	else {
-	    $self->oid_hash_delete($doc_OID,'docs');
-	}
-	return if ($edit_mode eq "delete");
-    }
 
     #Add all the metadata values to the hash
@@ -143,5 +133,5 @@
 sub classify {
     my $self = shift (@_);
-    my ($doc_obj,$edit_mode) = @_;
+    my ($doc_obj) = @_;
 
     my $doc_OID = $doc_obj->get_OID();
@@ -185,8 +175,8 @@
 
     if (defined $self->{'subjectfile'}) {
-	$self->hfile_classify($doc_obj,$edit_mode,$sortmeta,$metavalues);
+	$self->hfile_classify($doc_obj,$sortmeta,$metavalues);
     }
     else {
-	$self->auto_classify($doc_obj,$edit_mode,$nosort,$sortmeta,$metavalues);
+	$self->auto_classify($doc_obj,$nosort,$sortmeta,$metavalues);
     }
 }
Index: /main/trunk/greenstone2/perllib/classify/List.pm
===================================================================
--- /main/trunk/greenstone2/perllib/classify/List.pm	(revision 23115)
+++ /main/trunk/greenstone2/perllib/classify/List.pm	(revision 23116)
@@ -290,5 +290,5 @@
 {
     my $self = shift(@_);
-    my ($doc_obj,$edit_mode) = @_;
+    my ($doc_obj) = @_;
 
     # If "-classify_sections" is set, classify every section of the document
@@ -296,5 +296,5 @@
 	my $section = $doc_obj->get_next_section($doc_obj->get_top_section());
 	while (defined $section) {
-	    $self->classify_section($doc_obj, $doc_obj->get_OID() . ".$section", $section, $edit_mode);
+	    $self->classify_section($doc_obj, $doc_obj->get_OID() . ".$section", $section);
 	    $section = $doc_obj->get_next_section($section);
 	}
@@ -302,5 +302,5 @@
     # Otherwise just classify the top document section
     else {
-	$self->classify_section($doc_obj, $doc_obj->get_OID(), $doc_obj->get_top_section(), $edit_mode);
+	$self->classify_section($doc_obj, $doc_obj->get_OID(), $doc_obj->get_top_section());
     }
 }
@@ -310,5 +310,5 @@
 {
     my $self = shift(@_);
-    my ($doc_obj,$section_OID,$section,$edit_mode) = @_;
+    my ($doc_obj,$section_OID,$section) = @_;
 
     my @metadata_groups = @{$self->{'metadata_groups'}};
@@ -342,11 +342,4 @@
     # We're not classifying this section because it doesn't have the required metadata
     return if (!$classify_section);
-
-    if (($edit_mode eq "delete") || ($edit_mode eq "update")) {
-	$self->oid_array_delete($section_OID,'OIDs');
-	if ($edit_mode eq "delete") {
-	    return;
-	}
-    }
    
     # Otherwise, include this section in the classifier
@@ -358,11 +351,4 @@
 	# Take care not to do a metadata group more than once
 	unless ($metadata_groups_done{$metadata_group}) {
-	    if ($edit_mode eq "update") {
-		# if we are updating, we delete all the old values before 
-		# adding the new ones, otherwise, the section will end up in 
-		# the classifier twice.
-		delete $self->{$metadata_group . ".list"}->{$section_OID};
-	    }
-
 	    my $remove_prefix_expr = $self->{$metadata_group . ".remove_prefix_expr"};
 	    my $remove_suffix_expr = $self->{$metadata_group . ".remove_suffix_expr"};
Index: /main/trunk/greenstone2/perllib/classify/Phind.pm
===================================================================
--- /main/trunk/greenstone2/perllib/classify/Phind.pm	(revision 23115)
+++ /main/trunk/greenstone2/perllib/classify/Phind.pm	(revision 23116)
@@ -249,5 +249,5 @@
 sub classify {
     my $self = shift (@_);
-    my ($doc_obj,$edit_mode) = @_;
+    my ($doc_obj) = @_;
 
     my $verbosity = $self->{'verbosity'};
@@ -267,10 +267,4 @@
     my $phrlanguage = $self->{'language'};
     return if ($doclanguage && ($doclanguage !~ /$phrlanguage/i));
-
-    if ($edit_mode eq "delete") {
-	# This classifier works quite differently to the others
-	# Probably doesn't support incremental building anyway
-	return;
-    }
 
     # record this file
Index: /main/trunk/greenstone2/perllib/classify/RecentDocumentsList.pm
===================================================================
--- /main/trunk/greenstone2/perllib/classify/RecentDocumentsList.pm	(revision 23115)
+++ /main/trunk/greenstone2/perllib/classify/RecentDocumentsList.pm	(revision 23116)
@@ -126,5 +126,5 @@
 sub classify {
     my $self = shift (@_);
-    my ($doc_obj,$edit_mode) = @_;
+    my ($doc_obj) = @_;
 
     my $doc_OID = $doc_obj->get_OID();
@@ -132,9 +132,4 @@
     if (!defined $lastmodified || $lastmodified eq "") {
 	print $self->{'outhandle'}, "RecentDocumentsList: $doc_OID has no lastmodified metadata, not classifying\n";
-	return;
-    }
-
-    if ($edit_mode eq "delete") {
-	$self->oid_hash_delete($doc_OID,'list');
 	return;
     }
Index: /main/trunk/greenstone2/perllib/classify/SectionList.pm
===================================================================
--- /main/trunk/greenstone2/perllib/classify/SectionList.pm	(revision 23115)
+++ /main/trunk/greenstone2/perllib/classify/SectionList.pm	(revision 23116)
@@ -63,5 +63,5 @@
 sub classify {
     my $self = shift (@_);
-    my ($doc_obj, $edit_mode, @options) = @_;
+    my ($doc_obj, @options) = @_;
     
     # @options used by AZCompactList when is uses SectionList internally
@@ -97,10 +97,10 @@
     if (defined $thissection) {
 	# just classify the one section
-	$self->classify_section($thissection, $doc_obj, $edit_mode, $sortmeta, $nosort);
+	$self->classify_section($thissection, $doc_obj, $sortmeta, $nosort);
     } else    
     {
 	$thissection = $doc_obj->get_next_section ($doc_obj->get_top_section());
 	while (defined $thissection) {
-	    $self->classify_section($thissection, $doc_obj, $edit_mode, $sortmeta, $nosort);
+	    $self->classify_section($thissection, $doc_obj, $sortmeta, $nosort);
 	    $thissection = $doc_obj->get_next_section ($thissection);
 	}
@@ -110,5 +110,5 @@
 sub classify_section {
     my $self = shift (@_);
-    my ($section, $doc_obj, $edit_mode, $sortmeta, $nosort) = @_;
+    my ($section, $doc_obj, $sortmeta, $nosort) = @_;
 
     my $doc_OID = $doc_obj->get_OID();
Index: /main/trunk/greenstone2/perllib/classify/SimpleList.pm
===================================================================
--- /main/trunk/greenstone2/perllib/classify/SimpleList.pm	(revision 23115)
+++ /main/trunk/greenstone2/perllib/classify/SimpleList.pm	(revision 23116)
@@ -128,5 +128,5 @@
 sub classify {
     my $self = shift (@_);
-    my ($doc_obj, $edit_mode) = @_;
+    my ($doc_obj) = @_;
 
     my $doc_OID = $doc_obj->get_OID();
@@ -139,14 +139,4 @@
     }
     
-    if ($edit_mode eq "delete") {
-	if ($nosort) {
-	    $self->oid_array_delete($doc_OID,'list');
-	}
-	else {
-	    $self->oid_hash_delete($doc_OID,'list');
-	}
-	return;
-    }
-
     my $metavalue;
     my $metaname;