Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 23238)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 23239)
@@ -28,5 +28,5 @@
 <Text id="intro2">The text sometimes uses Windows terminology, but the exercises work equally well on other systems if you make appropriate changes to the pathnames.</Text>
 </Comment>
-<Tutorial id="unaids_cdrom">
+<Tutorial id="unaids_cdrom"> 
 <Title>
 <Text id="0082">Working with a pre-packaged collection (UNAIDS)</Text>
@@ -2454,5 +2454,5 @@
 </Comment>
 <NumberedItem>
-<Text id="0685">In the <AutoText key="glidict::GUI.Design"/> panel, under the <AutoText key="glidict::CDM.GUI.Classifiers"/> section, delete the <AutoText text="List" /> classifiers for <AutoText key="metadata::ex.Source"/>. Select <AutoText text="dc.Title;ex.Title"/> and click <AutoText key="glidict::CDM.ClassifierManager.Configure" type="button"/>. Set <AutoText text="bookshelf_type"/> to <AutoText text="always"/>. This will create a bookshelf as in the <AutoText text="AZCompactList"/> classifier for duplicate items.</Text>
+<Text id="0685">In the <AutoText key="glidict::GUI.Design"/> panel, under the <AutoText key="glidict::CDM.GUI.Classifiers"/> section, delete the <AutoText text="List" /> classifier for <AutoText key="metadata::ex.Source"/>. Select the classifier for <AutoText text="dc.Title;ex.Title"/> and click <AutoText key="glidict::CDM.ClassifierManager.Configure" type="button"/>. Set <AutoText text="bookshelf_type"/> to <AutoText text="always"/>. This will create a bookshelf as in the <AutoText text="AZCompactList"/> classifier for duplicate items.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3118,6 +3118,6 @@
 <Text id="indexers-2">Greenstone supports three indexers <b>MG</b>, <b>MGPP</b> and <b>Lucene</b>. </Text>
 <Text id="indexers-3"><b>MG</b> is the original indexer used by Greenstone which is described in the book <b>"Managing Gigabytes"</b>. It does section level indexing and compression of the source documents. <b>MG</b> is implemented in C. </Text>
-<Text id="indexers-4"><b>MGPP</b> is re-implementation of <b>MG</b> that provides word-level indexes and enables proximity, phrase and field searching. <b>MGPP</b> is implemented in C++ and is the default indexer for new collections.</Text>
-<Text id="indexers-5"><b>Lucene</b> (<Link>http://lucene.apache.org/</Link>) is java-based full-featured text indexing and searching system developed by Apache. It provides a similar range of search functionality to MGPP with the addition of single-character wildcards and range searching. It was added to Greenstone to facilitate incremental collection building, which <b>MG</b> and <b>MGPP</b> can't provide.</Text>
+<Text id="indexers-4"><b>MGPP</b> is a re-implementation of <b>MG</b> that provides word-level indexes and enables proximity, phrase and field searching. <b>MGPP</b> is implemented in C++ and is the default indexer for new collections.</Text>
+<Text id="indexers-5"><b>Lucene</b> (<Link>http://lucene.apache.org/</Link>) is a java-based, full-featured text indexing and searching system developed by Apache. It provides a similar range of search functionality to MGPP with the addition of single-character wildcards and range searching. It was added to Greenstone to facilitate incremental collection building, which <b>MG</b> and <b>MGPP</b> can't provide.</Text>
 <Heading>
 <Text id="indexers-6">Build with Lucene</Text>
@@ -3154,5 +3154,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="lucene-3">Please note that stopwords are used by default with Lucene indexer, so search for words like <i>the</i> will match 0 document. There is also a message on the search page saying that such words are too common and were ignored.</Text>
+<Text id="lucene-3">Please note that stopwords are used by default with Lucene indexer, so searching for words like <i>the</i> will match 0 documents. There is also a message on the search page saying that such words are too common and were ignored.</Text>
 </NumberedItem>
 <Heading>
@@ -3166,5 +3166,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="indexers-22">Go to the <AutoText key="glidict::CDM.GUI.Indexes"/> section in the <AutoText key="glidict::GUI.Design"/> panel, click the <AutoText key="glidict::CDM.BuildTypeManager.Change"/> button and select <b>MGPP</b>. Click <AutoText key="glidict::General.OK"/>. Check the <AutoText key="glidict::CDM.IndexManager.Indexes"/> has changed accordingly.</Text>
+<Text id="indexers-22">Go to the <AutoText key="glidict::CDM.GUI.Indexes"/> section in the <AutoText key="glidict::GUI.Design"/> panel, click the <AutoText key="glidict::CDM.BuildTypeManager.Change"/> button and select <b>MGPP</b>, in case it isn't active already. Click <AutoText key="glidict::General.OK"/>. Check the <AutoText key="glidict::CDM.IndexManager.Indexes"/> has changed accordingly.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3172,5 +3172,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="indexers-23a">In the <AutoText key="glidict::CDM.LevelManager.Level_Title"/> section, also select <AutoText key="glidict::CDM.LevelManager.Section"/>.</Text>
+<Text id="indexers-23a">In the <AutoText key="glidict::CDM.LevelManager.Level_Title"/> section, also select <AutoText key="glidict::CDM.LevelManager.Section"/>, if it isn't already.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3186,9 +3186,9 @@
 <NumberedItem>
 <Text id="indexers-27">Sometimes we may want to ignore word endings while searching so as to match different variations of the term. Go to the <AutoText key="coredm::_Global:linktextPREFERENCES_"/> page and change the <AutoText key="coredm::_preferences:textwordends_"/> option from <AutoText key="coredm::_preferences:textnostem_"/> to <AutoText key="coredm::_preferences:textstem_"/>. Click the <AutoText key="coredm::_preferences:textsetprefs_"/> button. Click <AutoText key="coredm::_Global:textSearch_"/>. This time try search for <i>econom</i> again, 9 documents are found.</Text>
-<Text id="indexers-27a">Please note that word endings are determined according to the third-party stemming tables incorporated in Greenstone, not by the user. Thus the searches may not do precisely what is expected, especially when cultural variations or dialects are concerned. Besides, not all languages support stemming, only English and French have steming at the moment.</Text>
+<Text id="indexers-27a">Please note that word endings are determined according to the third-party stemming tables incorporated in Greenstone, not by the user. Thus the searches may not do precisely what is expected, especially when cultural variations or dialects are concerned. Besides, not all languages support stemming, only English and French have stemming at the moment.</Text>
 <Text id="indexers-27b">Go to the <AutoText key="coredm::_Global:linktextPREFERENCES_"/> page and change back to <AutoText key="coredm::_preferences:textnostem_"/> to avoid confusion later on. Click the <AutoText key="coredm::_preferences:textsetprefs_"/> button.</Text>
 </NumberedItem>
 <NumberedItem>
-<Text id="indexers-28">Sometimes we may want to search the exact term, that is, differentiate the upper cases from lower cases. Set the <AutoText key="coredm::_preferences:textcasediffs_"/> option from <AutoText key="coredm::_preferences:textignorecase_"/> to <AutoText key="coredm::_preferences:textmatchcase_"/>. Click the <AutoText key="coredm::_preferences:textsetprefs_"/> button. Click <AutoText key="coredm::_Global:textSearch_"/>. Now try search for <i>fao</i> and <i>FAO</i> respectively this time, notice the difference in the results?</Text>
+<Text id="indexers-28">Sometimes we may want to search for the exact term, that is, differentiate the upper cases from lower cases. Back in the <AutoText key="coredm::_Global:linktextPREFERENCES_"/>, set the <AutoText key="coredm::_preferences:textcasediffs_"/> option from <AutoText key="coredm::_preferences:textignorecase_"/> to <AutoText key="coredm::_preferences:textmatchcase_"/>. Click the <AutoText key="coredm::_preferences:textsetprefs_"/> button. Click <AutoText key="coredm::_Global:textSearch_"/>. Now try searching for <i>fao</i> and <i>FAO</i> respectively this time, notice the difference in the results?</Text>
 <Text id="indexers-28a">Go back to the <AutoText key="coredm::_Global:linktextPREFERENCES_"/> page and change the <AutoText key="coredm::_preferences:textcasediffs_"/> option back to <AutoText key="coredm::_preferences:textignorecase_"/> to avoid confusion later on. Click <AutoText key="coredm::_preferences:textsetprefs_"/> button.</Text>
 </NumberedItem>
@@ -3197,5 +3197,5 @@
 </Heading>
 <Comment>
-<Text id="mgpp-1">MGPP have several hotkeys to set search modes for a query term. These hotkeys explicitly set the <AutoText key="coredm::_preferences:textwordends_"/> option and the <AutoText key="coredm::_preferences:textcasediffs_"/> option for the query being constructed.</Text>
+<Text id="mgpp-1">MGPP has several hotkeys for setting the search modes for a query term. These hotkeys explicitly set the <AutoText key="coredm::_preferences:textwordends_"/> option and the <AutoText key="coredm::_preferences:textcasediffs_"/> option for the query being constructed.</Text>
 </Comment>
 <NumberedItem>
@@ -3204,5 +3204,5 @@
 <NumberedItem>
 <Text id="mgpp-3">Appending <b>#u</b> to a query term will explicitly set the current search to <AutoText key="coredm::_preferences:textnostem_"/>. </Text>
-<Text id="mgpp-4">Note that using hotkeys will only affect that query term. That is, hotkeys are used per term. For example, if a query expresssion contains more than one terms, some tems can have hotkeys and others not, and the hotkeys can be different for different terms. This provides a fine-grained control of the query, whereas changing settings in the <AutoText key="coredm::_Global:linktextPREFERENCES_"/> page will affect the query as a whole.</Text>
+<Text id="mgpp-4">Note that using hotkeys will only affect that query term. That is, hotkeys are used per term. For example, if a query expresssion contains more than one term, some terms can have hotkeys and others not, and the hotkeys can be different for different terms. This provides a fine-grained control of the query, whereas changing settings in the <AutoText key="coredm::_Global:linktextPREFERENCES_"/> page will affect the query as a whole.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3210,5 +3210,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="mgpp-6">On the contrary, appending <b>#c</b> will specifically turn off the casefolding, that is, <AutoText key="coredm::_preferences:textmatchcase_"/>. For example, search for <i>fao#c</i> returns 0 document.</Text>
+<Text id="mgpp-6">In contrast, appending <b>#c</b> will specifically turn off the casefolding, that is, <AutoText key="coredm::_preferences:textmatchcase_"/>. For example, search for <i>fao#c</i> returns 0 documents.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3241,16 +3241,16 @@
 <Text id="depositor-5"><AutoText key="coredm::_depositor:textdepositor_"/></Text>
 </Heading>
-<Text id="depositor-6"><AutoText key="coredm::_depositor:textdepositor_"/> is Greenstoneâs runtime support for institutional repositories since Greenstone 2.71. It provides the collection building work flow through web interface. <AutoText key="coredm::_depositor:textdepositor_"/> only works with the Web server, not the local server. Greenstone users belongs to the <AutoText text="all-collections-editor"/> user group have access <AutoText key="coredm::_depositor:textdepositor_"/>.</Text>
-<Heading>
-<Text id="depositor-7">Enable <AutoText key="coredm::_depositor:textdepositor_"/></Text>
-</Heading>
-<Text id="depositor-8">Enable <AutoText key="coredm::_depositor:textdepositor_"/> involves two steps: first we need to install a Web Server (Apache) and configure Greenstone to use the Web Server instead of local server; then we can enable <AutoText key="coredm::_depositor:textdepositor_"/>.</Text>
-<NumberedItem>
-<Text id="depositor-apache">We are going to use the Apache HTTP Server as the Web Server. Apache is an open source HTTP server developed by The Apache Software Foundation. It can be downloaded from <Link url="http://httpd.apache.org/download.cgi">the Apache Server website</Link>. <Link url="http://wiki.greenstone.org/wiki/index.php/Setting_up_an_Apache_Web_Server_for_Greenstone_2_Walkthrough">This page</Link> in GreenstoneWiki provides a detailed walkthrough of how to install Apache on Linux, MacOS and Windows, and configure Greenstone to work with Apache. Please follow this page unless you have already configured Greenstone with a Web Server.</Text>
+<Text id="depositor-6"><AutoText key="coredm::_depositor:textdepositor_"/> is Greenstoneâs runtime support for institutional repositories since Greenstone 2.71. It provides the collection building work flow through the web interface. <AutoText key="coredm::_depositor:textdepositor_"/> only works with the Web library server, not the local library server. Greenstone users belonging to the <AutoText text="all-collections-editor"/> user group have access to <AutoText key="coredm::_depositor:textdepositor_"/>.</Text>
+<Heading>
+<Text id="depositor-7">Enabling <AutoText key="coredm::_depositor:textdepositor_"/></Text>
+</Heading>
+<Text id="depositor-8">Enabling <AutoText key="coredm::_depositor:textdepositor_"/> involves two steps: first we need to install a Web Server (Apache) and configure Greenstone to use the Web Server instead of local server; then we can enable <AutoText key="coredm::_depositor:textdepositor_"/>.</Text>
+<NumberedItem>
+<Text id="depositor-apache">We are going to use the Apache HTTP Server as the Web Server. Apache is an open source HTTP server developed by The Apache Software Foundation. It can be downloaded from <Link url="http://httpd.apache.org/download.cgi">the Apache Server website</Link>. <Link url="http://wiki.greenstone.org/wiki/index.php/Setting_up_an_Apache_Web_Server_for_Greenstone_2_Walkthrough">This page</Link> in the Greenstone Wiki provides a detailed walkthrough of how to install Apache on Linux, MacOS and Windows, and how to configure Greenstone to work with Apache. Please follow this page unless you have already configured Greenstone with a Web Server.</Text>
 <Text id="depositor-access">Note: You might need to set permissions for the <Path>GSDLHOME &rarr; tmp</Path> and <Path>GSDLHOME &rarr; collect</Path> or <Path>GSDLHOME &rarr; collect &rarr; your_accessible_collection</Path> directory.</Text>
 </NumberedItem>
 <NumberedItem>
-<Text id="depositor-enable">Now suppose we have already installed Apache and have configured Greenstone to use the Apache Web server. In Greenstone <AutoText key="coredm::_depositor:textdepositor_"/> is disabled by default. To enable it, edit the file <Path>GSDLHOME &rarr; etc &rarr; main.cfg</Path>. Look for the "depositor" line, and change <i>disabled</i> to <i>enabled</i>.</Text>
-<Text id="user-group">There is one more thing need to be done here. By default only users from the <AutoText text="all-collections-editor"/> user group have access to <AutoText key="coredm::_depositor:textdepositor_"/> so we need to add the <AutoText text="admin"/> account, which we are going to use, to this group. To do this, we need the <AutoText text="Maintenance and Administration"/> facility, which is also disabled by default. To enable it, look for the "status" line in <Path>main.cfg</Path> file and change <i>disabled</i> to <i>enabled</i>.</Text>
+<Text id="depositor-enable">Now suppose we have already installed Apache and have configured Greenstone to use the Apache Web server. In Greenstone, <AutoText key="coredm::_depositor:textdepositor_"/> is disabled by default. To enable it, edit the file <Path>GSDLHOME &rarr; etc &rarr; main.cfg</Path>. Look for the "depositor" line, and change <i>disabled</i> to <i>enabled</i>.</Text>
+<Text id="user-group">There is one more thing need to be done here. By default only users from the <AutoText text="all-collections-editor"/> user group have access to <AutoText key="coredm::_depositor:textdepositor_"/> so we need to add the <AutoText text="admin"/> account, which we are going to use, to this group. To do this, we need the <AutoText text="Maintenance and Administration"/> facility, which is also disabled by default. To enable it, look for the "status" line in <Path>main.cfg</Path> file and change <i>disabled</i> to <i>enabled</i>, if it is not already so.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3258,5 +3258,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="change-group">Now we change the group membership of the <AutoText text="admin"/> account. Go to the Greenstone library home page. Two new buttons appears right below <AutoText key="coredm::_gli:textgli_"/> button, named <AutoText key="coredm::_depositor:textdepositor_"/> and <AutoText key="coredm::_home:textadmin_"/> respectively. Click <AutoText key="coredm::_home:textadmin_"/> button, click the <AutoText key="auxdm::_status:textlistusers_"/> link on the left under <AutoText key="auxdm::_status:textusermanage_"/> section. Sign in and you will see a list of all the registered accounts in Greenstone library. At the end of each entry there are two links: <AutoText key="auxdm::_userslistusers:textedituser_"/> and <AutoText key="auxdm::_userslistusers:textdeleteuser_"/>. Click <AutoText key="auxdm::_userslistusers:textedituser_"/> and we will see more detailed information about the current user account. Add <AutoText text="all-collections-editor"/> at the end of the <AutoText key="auxdm::_userslistusers:textgroups_"/> and make it read:</Text>
+<Text id="change-group">Now we change the group membership of the <AutoText text="admin"/> account. Go to the Greenstone library home page. Two new buttons appears right below <AutoText key="coredm::_gli:textgli_"/> button, named <AutoText key="coredm::_depositor:textdepositor_"/> and <AutoText key="coredm::_home:textadmin_"/> respectively. Click <AutoText key="coredm::_home:textadmin_"/> button, click the <AutoText key="auxdm::_status:textlistusers_"/> link on the left under <AutoText key="auxdm::_status:textusermanage_"/> section. Sign in and you will see a list of all the registered accounts in your Greenstone library. At the end of each entry there are two links: <AutoText key="auxdm::_userslistusers:textedituser_"/> and <AutoText key="auxdm::_userslistusers:textdeleteuser_"/>. Click <AutoText key="auxdm::_userslistusers:textedituser_"/> on the <AutoText text="admin"/> user account, and one can see more detailed information about the current user account. If it's not already there, add <AutoText text="all-collections-editor"/> at the end of the <AutoText key="auxdm::_userslistusers:textgroups_"/> and make it read:</Text>
 <Format>
 administrator,colbuilder,all-collections-editor
@@ -3268,12 +3268,12 @@
 </Heading>
 <NumberedItem>
-<Text id="depositor-11">On the Greenstone library home page, click <AutoText key="coredm::_depositor:textdepositor_"/> button. Sign in with the <AutoText text="admin"/> account and you will see a drop-down selection list of all the available collections. Select <b>Demo Lucene</b> from the list.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="depositor-12">The next page asks to fill in the metadata fields &mdash; <AutoText key="coredm::_Global:textTitle_"/>, <AutoText key="coredm::_Global:textOrganization_"/>, <AutoText key="coredm::_Global:textSubject_"/>, <AutoText key="coredm::_Global:textKeyword_"/> and <AutoText key="coredm::_Global:textLanguage_"/>. These metadata fields are from the <b>Development Library Subset</b> (DLS) metadata set, which is the metadata set used in the <b>Demo Luecene</b> collection. In order to ensure the new document will be displayed in the classifiers, next we will specify these metadata for the new document.</Text>
-<Comment>
-<Text id="">However, the default metadata fields to be displayed here are the <AutoText key="coredm::_Global:textTitle_"/>, <AutoText key="coredm::_Global:textCreator_"/> and <AutoText key="coredm::_Global:textDescription_"/> from the <b>Dublin Core Metadata Set</b>. You can customize which metadata fields are required for items added through <AutoText key="coredm::_depositor:textdepositor_"/> in <AutoText key="glidict::CDM.GUI.DepositorMetadata"/> section on the <AutoText key="glidict::GUI.Format"/> panel in Greenstone Librarian Interface.</Text>
-</Comment>
-<Text id="depositor-intro">We are going to depositor this file: <Path>sample_files &rarr; demo_NewFiles &rarr; r9006e.htm</Path>. Double click <Path>r9006e.htm</Path> and have a look at its content. Suppose we already have the values for these metadata fields.</Text>
+<Text id="depositor-11">On the Greenstone library home page, click <AutoText key="coredm::_depositor:textdepositor_"/> button. You will see a drop-down selection list of all the available collections. Select <b>Demo Lucene</b> from the list and sign in with the <AutoText text="admin"/> account.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="depositor-12">The next page asks to fill in the metadata fields &mdash; <AutoText key="coredm::_Global:textTitle_"/>, <AutoText key="coredm::_Global:textOrganization_"/>, <AutoText key="coredm::_Global:textSubject_"/>, <AutoText key="coredm::_Global:textKeyword_"/> and <AutoText key="coredm::_Global:textLanguage_"/>. These metadata fields are from the <b>Development Library Subset</b> (DLS) metadata set, which is the metadata set used in the <b>Demo Lucene</b> collection. In order to ensure the new document will be displayed in the classifiers, next we will specify these metadata for the new document.</Text>
+<Comment>
+<Text id="">However, the default metadata fields to be displayed here are the <AutoText key="coredm::_Global:textTitle_"/>, <AutoText key="coredm::_Global:textCreator_"/> and <AutoText key="coredm::_Global:textDescription_"/> from the <b>Dublin Core Metadata Set</b>. You can customize which metadata fields are required for items added through <AutoText key="coredm::_depositor:textdepositor_"/> in the <AutoText key="glidict::CDM.GUI.DepositorMetadata"/> section on the <AutoText key="glidict::GUI.Format"/> panel in the Greenstone Librarian Interface.</Text>
+</Comment>
+<Text id="depositor-intro">We are going to deposit this file: <Path>sample_files &rarr; demo_NewFiles &rarr; r9006e.htm</Path>. Double click <Path>r9006e.htm</Path> and have a look at its content. Suppose we already have the values for these metadata fields.</Text>
 <Text id="depositor-meta1">Type in the <AutoText key="coredm::_Global:textTitle_"/> filed:</Text>
 <Format>Selected guidelines for the management of records and archives: a RAMP reader (r9006e)</Format>
@@ -3287,5 +3287,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="depositor-13">Click the <AutoText key="auxdm::_depositor:textintro_"/> button. Click <b>Browse...</b> button and select <Path>sample_files &rarr; demo &rarr; new &rarr; r9006e.htm</Path>, click <AutoText key="auxdm::_depositor:textconfirm_"/> button and check the document has been uploaded successfully.</Text>
+<Text id="depositor-13">Click the <AutoText key="auxdm::_depositor:textintro_"/> button. Click <b>Browse...</b> button and select <Path>sample_files &rarr; demo &rarr; new &rarr; r9006e.htm</Path>, click the <AutoText key="auxdm::_depositor:textconfirm_"/> button and check the document has been uploaded successfully.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3305,13 +3305,13 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="depositor-20">Go to the Greenstone's home page and click the <AutoText key="auxdm::_depositor:textbild_"/> button. Log in and select <b>Demo Lucene</b> from the list.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="depositor-zip1">Leave the metadata fields as blank because the zip file we are addding contains a <AutoText text="metadata.xml"/> file which specifies these metadata values. Click the <AutoText key="auxdm::_depositor:textintro_"/> button, select <Path>sample_files &rarr; demo_NewFiles &rarr; new_files.zip</Path>, which contains two new HTML documents and a <AutoText text="metadata.xml"/> file. Click <AutoText key="auxdm::_depositor:textconfirm_"/> and then the <AutoText key="auxdm::_depositor:textbild_"/> button.</Text>
+<Text id="depositor-20">Go to the Greenstone's home page and click the <AutoText key="auxdm::_depositor:textbild_"/> button. Select <b>Demo Lucene</b> from the list and log in.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="depositor-zip1">Leave the metadata fields blank, because the zip file we are adding contains a <AutoText text="metadata.xml"/> file which specifies these metadata values. Click the <AutoText key="auxdm::_depositor:textintro_"/> button, select <Path>sample_files &rarr; demo_NewFiles &rarr; new_files.zip</Path>, which contains two new HTML documents and a <AutoText text="metadata.xml"/> file. Click <AutoText key="auxdm::_depositor:textconfirm_"/> and then the <AutoText key="auxdm::_depositor:textbild_"/> button.</Text>
 </NumberedItem>
 <NumberedItem>
 <Text id="depositor-21">After the building is finished, click <AutoText key="auxdm::_wizard:textview_"/> to preview the collection. On the collection's home page, it says the collection now contains 14 documents. Check the <b>titles</b> classifier for the new documents <Format>Above and beyond</Format> and <Format>Utilization and construction of pit silos</Format> have been added successfully.</Text>
 </NumberedItem>
-<Text id="depositor-22">A major benefit of using <AutoText key="coredm::_depositor:textdepositor_"/> is that user can upload documents and metadata remotely, without having to have Greenstone installed at the client end. Actually, <AutoText key="coredm::_depositor:textdepositor_"/> is a tool for remote data input, which means you can also deposit items to collections built with MG or MGPP indexer. The difference is that MG and MGPP indexer needs to rebuild the index after adding a new item while the Lucene indexer doesn't need to.</Text>
+<Text id="depositor-22">A major benefit of using <AutoText key="coredm::_depositor:textdepositor_"/> is that the user can upload documents and metadata remotely, without having to have Greenstone installed at the client end. <AutoText key="coredm::_depositor:textdepositor_"/> is a tool for remote data input, allowing you to also deposit items to collections built with the MG or MGPP indexers. The difference is that the MG and MGPP indexers need to rebuild the index after adding a new item, while the Lucene indexer doesn't need to.</Text>
 </Content>
 </Tutorial>